# Manual do Usuário do KDE

06/10/2010
KDE
plasmaengineexplorer
1

# `plasmaengineexplorer`

Oferece o acesso direto aos motores de dados do Plasma

    plasmaengineexplorer --list --height  pixels --width  pixels -x  pixels -y  pixels --engine  motor de dados --source  motor de dados --interval  ms --app  aplicação

    plasmaengineexplorer Opções Genéricas do KDE Opções Genéricas do Qt

## Descrição

O `plasmaengineexplorer` é uma ferramenta gráfica que permite aos programadores testarem os motores de dados do Plasma, sem criarem um miniaplicativo do Plasma.

Se não forem indicadas opções, ele será iniciado sem nenhum motor de dados selecionado. O motor de dados desejado pode ser selecionado a partir de uma lista.

Só serão encontrados os motores de dados instalados. O `kbuildsycoca4` poderá ter que ser executado para descobrir os motores de dados recém instalados.

## Opções

`--list pixels`

  Mostra uma lista com os motores conhecidos e as suas descrições.

`--height`

  Altera a altura da janela, em pixels.

`--width pixels`

  Altera a largura da janela, em pixels.

`-x pixels`

  Altera a coordenada X (horizontal) do canto superior da janela, em pixels.

`-y pixels`

  Altera a coordenada Y (vertical) do canto superior da janela, em pixels.

`--engine motor de dados`

  Inicia o `plasmaengineexplorer`, selecionando o motor de dados indicado. O `motor de dados` é o nome interno do motor de dados, como é definido no campo 'X-KDE-PluginInfo-Name' do arquivo 'desktop'.

`--source motor de dados`

  Só é válido em conjunto com o `--engine`. Necessita de uma fonte específica do motor de dados, quando é iniciado o `plasmaengineexplorer`.

`--interval tempo`

  Define o intervalo de atualização padrão das fontes solicitadas como sendo `tempo` milissegundos. Caso não seja definido, a fonte será atualizada sob demanda (para algumas fontes, ocorrerá quando dados novos estiverem disponíveis).

  Caso indique o `--source`, este é o intervalo de atualização que será usado ao solicitar essa fonte.

`--app aplicação`

  Mostrar apenas os motores associados à aplicação-mãe; baseia-se no item 'X-KDE-ParentApp' do arquivo '.desktop' do motor de dados.

## Veja Também

Uma documentação do usuário mais detalhada está disponível em help:/plasma-desktop (quer através deste URL no &konqueror;, quer através do comando ``khelpcenter` `help:/plasma-desktop``).

## Exemplos

Carrega o motor de dados de horas, mostrando a hora local atualizada a cada segundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autores

O `plasmaengineexplorer` foi criado por Aaron Seigo aseigo@kde.org.